## toppler 1.3

=== Makefile ===
# Tower Toppler
#
# Tower Toppler is the legal property of its developers, whose
# names are listed in the AUTHORS file, which is included
# within the source distribution.
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 3
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1335 USA

PREFIX = /usr
BINDIR = $(PREFIX)/bin
DATADIR = $(PREFIX)/share
STATEDIR = /var/toppler
LOCALEDIR = $(DATADIR)/locale
MANDIR =  $(DATADIR)/man
PKGDATADIR = $(DATADIR)/toppler
DESTDIR =
CROSS =

CONVERT = convert
CXX = $(CROSS)$(CXX_NATIVE)
CXX_NATIVE = g++
CXXFLAGS = -Wall -Wextra -g -O2 -std=c++17
EXEEXT = $(if $(filter %-w64-mingw32.static-,$(CROSS)),.exe,)
INSTALL = install
LDFLAGS =
MSGFMT = msgfmt
MSGMERGE = msgmerge
PKG_CONFIG = $(CROSS)$(PKG_CONFIG_NATIVE)
PKG_CONFIG_NATIVE = pkg-config
POVRAY = povray
XGETTEXT = xgettext
GIMP = gimp

MSGID_BUGS_ADDRESS := roever@users.sf.net

.DELETE_ON_ERROR:

.PHONY: default
default: all

VERSION := $(shell cat src/version)
ALL_SOURCES := $(wildcard src/*)

PKGS += SDL2_mixer
PKGS += sdl2
PKGS += zlib

PKGS_NATIVE += zlib
PKGS_NATIVE += sdl2
PKGS_NATIVE += libpng
PKGS_NATIVE += SDL2_image

PKG_CFLAGS_NATIVE = $$($(PKG_CONFIG_NATIVE) --cflags $(PKGS_NATIVE))
PKG_LIBS_NATIVE = $$($(PKG_CONFIG_NATIVE) --libs $(PKGS_NATIVE))

DEFS += -DVERSION='"$(VERSION)"'
DEFS += -DTOP_DATADIR='"$(PKGDATADIR)"'
DEFS += -DHISCOREDIR='"$(STATEDIR)"'
DEFS += -DENABLE_NLS=1
DEFS += -DLOCALEDIR='"$(LOCALEDIR)"'

FILES_H := $(wildcard src/*.h)
FILES_CPP := $(wildcard src/*.cc)
FILES_O := $(patsubst src/%,_build/$(CROSS)/%.o,$(FILES_CPP))
.SECONDARY: $(FILES_O)
_build/$(CROSS)/%.o: src/% src/version $(FILES_H)
	@mkdir -p $(dir $@)
	$(CXX) $(CXXFLAGS) $$($(PKG_CONFIG) --cflags $(PKGS)) $(DEFS) -c -o $@ $<

FILES_BINDIR += $(CROSS)toppler$(EXEEXT)
$(CROSS)toppler$(EXEEXT): $(FILES_O)
	$(CXX) $(CXXFLAGS) $(LDFLAGS) -o $@ $(FILES_O) $$($(PKG_CONFIG) --libs $(PKGS)) $(LIBS)

# the rules for the datafile

SOUNDS = datafile/sounds/alarm.wav datafile/sounds/boing.wav datafile/sounds/bubbles.wav datafile/sounds/fanfare.wav \
         datafile/sounds/hit.wav datafile/sounds/honk.wav datafile/sounds/rumble.wav datafile/sounds/score.wav \
         datafile/sounds/sonar.wav datafile/sounds/splash.wav datafile/sounds/swoosh.wav datafile/sounds/tap.wav \
         datafile/sounds/tick.wav datafile/sounds/torpedo.wav datafile/sounds/water.wav

DATFILES += $(SOUNDS)

#-------------------------------------------------------#
# translation files
#-------------------------------------------------------#

TRANSLATIONFILES_PO := $(wildcard src/po/*.po)
TRANSLATIONFILES_MO := $(patsubst src/po/%.po,locale/%/LC_MESSAGES/toppler.mo,$(TRANSLATIONFILES_PO))
TRANSLATIONFILES_INST := $(patsubst src/po/%.po,$(DESTDIR)$(LOCALEDIR)/%/LC_MESSAGES/toppler.mo,$(TRANSLATIONFILES_PO))
FILES_BINDIR += $(TRANSLATIONFILES_MO)

locale/%/LC_MESSAGES/toppler.mo: src/po/%.po
	@mkdir -p $(dir $@)
	msgfmt $< -o $@

$(DESTDIR)$(LOCALEDIR)/%/LC_MESSAGES/toppler.mo: locale/%/LC_MESSAGES/toppler.mo
	$(INSTALL) -m755 -d $(dir $@)
	$(INSTALL) -m644 $< $@

#-------------------------------------------------------#
# rules to create the data files necesary for the cross #
#-------------------------------------------------------#
DATFILES += _build/cross.dat
.SECONDARY: _build/cross.dat
_build/cross.dat: _build/tools/cross _build/tools/assembler datafile/cross_pov/cross.pov datafile/cross_pov/cross.ini datafile/sprites_pov/environment.pov
	( cd _build && mkdir -p cross_pov )
	( cd _build/cross_pov && $(POVRAY) ../../datafile/cross_pov/cross.ini +L../../datafile/cross_pov -D 2>> ../pov.log )
	( cd _build && ./tools/assembler vm cross_rgb cross_pov/*.png )
	( cd _build && convert cross_rgb_mask.png -colors 256 PNG8:cross_mask.png )
	( cd _build && convert cross_rgb_colors.png -colors 256 PNG8:cross_colors.png )
	( cd _build && ./tools/cross )

#------------------------------------------------------#
# rules to create the data files necesary for the font #
#------------------------------------------------------#
DATFILES += _build/font.dat
.SECONDARY: _build/font.dat
_build/font.dat: _build/tools/font datafile/font.xcf
	( cd _build && $(GIMP) -i -b "(let* ((image (car(gimp-xcf-load 1 \"../datafile/font.xcf\" \"ttt\")))(layers (cadr(gimp-image-get-layers image))))(file-png-save-defaults 1 image (aref layers 0) \"font_mask_rgb.png\" \"ttt\")(gimp-quit 1))" )
	( cd _build && $(GIMP) -i -b "(let* ((image (car(gimp-xcf-load 1 \"../datafile/font.xcf\" \"ttt\")))(layers (cadr(gimp-image-get-layers image))))(file-png-save-defaults 1 image (aref layers 1) \"font_colors_rgb.png\" \"ttt\")(gimp-quit 1))" )
	( cd _build && convert font_colors_rgb.png -colors 256 PNG8:font_colors.png )
	( cd _build && convert font_mask_rgb.png -colors 256 PNG8:font_mask.png )
	( cd _build && ./tools/font )

#----------------------------------------------------------#
# rules to create the data files necesary for the graphics #
#----------------------------------------------------------#
DATFILES += _build/graphics.dat
.SECONDARY: _build/graphics.dat
_build/graphics.dat: _build/tools/graphics datafile/graphics_brick.xcf
	( cd _build && $(GIMP) -i -b "(let* ((image (car(gimp-xcf-load 1 \"../datafile/graphics_brick.xcf\" \"ttt\")))(layers (cadr(gimp-image-get-layers image))))(file-png-save-defaults 1 image (aref layers 0) \"graphics_brick.png\" \"ttt\")(gimp-quit 1))" )
	( cd _build && $(GIMP) -i -b "(let* ((image (car(gimp-xcf-load 1 \"../datafile/graphics_pinacle.xcf\" \"ttt\")))(layers (cadr(gimp-image-get-layers image))))(file-png-save-defaults 1 image (aref layers 0) \"graphics_pinacle.png\" \"ttt\")(gimp-quit 1))" )
	( cd _build && ./tools/graphics )

#-------------------------------------------------------#
# rules to create the data files necesary for the mennu #
#-------------------------------------------------------#
DATFILES += _build/menu.dat
MENULEVELS_DIR=datafile/levels/mission1
MENULEVELS=$(wildcard ${MENULEVELS_DIR}/*)
.SECONDARY: _build/menu.dat
_build/menu.dat: _build/tools/menu _build/tools/tower2inc datafile/menu_pov/menu.ini datafile/menu_pov/menu.pov ${MENULEVELS}
	( cd _build && mkdir -p menu_pov )
	( cd _build/menu_pov && ../tools/tower2inc "turm%i.inc" ../.. $(MENULEVELS) )
	( cd _build/menu_pov && $(POVRAY) ../../datafile/menu_pov/menu.ini +L../../datafile/menu_pov -D 2>> ../pov.log )
	( cd _build && convert menu_pov/menu_rgb.png -colors 256 PNG8:menu.png )
	( cd _build && ./tools/menu )

#----------------------------------------------------------#
# rules to create the data files necesary for the scroller #
#----------------------------------------------------------#
DATFILES += _build/scroller.dat
.SECONDARY: _build/scroller.dat
_build/scroller.dat: _build/tools/scroller datafile/scroller.xcf
	( cd _build && $(GIMP) -i -b "(let* ((image (car(gimp-xcf-load 1 \"../datafile/scroller.xcf\" \"ttt\")))(layers (cadr(gimp-image-get-layers image))))(file-png-save-defaults 1 image (aref layers 0) \"scr1_colors_rgb.png\" \"ttt\")(gimp-quit 1))" )
	( cd _build && $(GIMP) -i -b "(let* ((image (car(gimp-xcf-load 1 \"../datafile/scroller.xcf\" \"ttt\")))(layers (cadr(gimp-image-get-layers image))))(file-png-save-defaults 1 image (aref layers 1) \"scr2_colors_rgb.png\" \"ttt\")(gimp-quit 1))" )
	( cd _build && $(GIMP) -i -b "(let* ((image (car(gimp-xcf-load 1 \"../datafile/scroller.xcf\" \"ttt\")))(layers (cadr(gimp-image-get-layers image))))(file-png-save-defaults 1 image (aref layers 2) \"scr3_colors_rgb.png\" \"ttt\")(gimp-quit 1))" )
	( cd _build && $(GIMP) -i -b "(let* ((image (car(gimp-xcf-load 1 \"../datafile/scroller.xcf\" \"ttt\")))(layers (cadr(gimp-image-get-layers image))))(file-png-save-defaults 1 image (aref layers 3) \"scr1_mask_rgb.png\" \"ttt\")(gimp-quit 1))" )
	( cd _build && $(GIMP) -i -b "(let* ((image (car(gimp-xcf-load 1 \"../datafile/scroller.xcf\" \"ttt\")))(layers (cadr(gimp-image-get-layers image))))(file-png-save-defaults 1 image (aref layers 4) \"scr2_mask_rgb.png\" \"ttt\")(gimp-quit 1))" )
	( cd _build && $(GIMP) -i -b "(let* ((image (car(gimp-xcf-load 1 \"../datafile/scroller.xcf\" \"ttt\")))(layers (cadr(gimp-image-get-layers image))))(file-png-save-defaults 1 image (aref layers 5) \"scr3_mask_rgb.png\" \"ttt\")(gimp-quit 1))" )
	( cd _build && ./tools/assembler hm scr1_rgb scr1_colors_rgb.png scr1_mask_rgb.png )
	( cd _build && ./tools/assembler hm scr2_rgb scr2_colors_rgb.png scr2_mask_rgb.png )
	( cd _build && ./tools/assembler hm scr3_rgb scr3_colors_rgb.png scr3_mask_rgb.png )
	( cd _build && convert scr3_rgb_mask.png -colors 256 PNG8:scroller3_mask.png )
	( cd _build && convert scr2_rgb_mask.png -colors 256 PNG8:scroller2_mask.png )
	( cd _build && convert scr1_rgb_mask.png -colors 256 PNG8:scroller1_mask.png )
	( cd _build && convert scr3_rgb_colors.png -colors 256 PNG8:scroller3_colors.png )
	( cd _build && convert scr2_rgb_colors.png -colors 256 PNG8:scroller2_colors.png )
	( cd _build && convert scr1_rgb_colors.png -colors 256 PNG8:scroller1_colors.png )
	( cd _build && ./tools/scroller 3 2 1/1 \
		       scroller3_colors.png scroller3_mask.png 0/0/640 1/2 \
                       scroller2_colors.png scroller2_mask.png 0/0/640 1/1 \
                       scroller1_colors.png scroller1_mask.png 0/0/640 2/1 )

#---------------------------------------------------------#
# rules to create the data files necesary for the sprites #
#---------------------------------------------------------#

.SECONDARY: _build/sprites_pov/robot0_rgb_colors.png _build/sprites_pov/robot0_rgb_mask.png
.SECONDARY: _build/sprites_pov/robot1_rgb_colors.png _build/sprites_pov/robot1_rgb_mask.png
.SECONDARY: _build/sprites_pov/robot2_rgb_colors.png _build/sprites_pov/robot2_rgb_mask.png
.SECONDARY: _build/sprites_pov/robot3_rgb_colors.png _build/sprites_pov/robot3_rgb_mask.png
.SECONDARY: _build/sprites_pov/robot4_rgb_colors.png _build/sprites_pov/robot4_rgb_mask.png
.SECONDARY: _build/sprites_pov/robot5_rgb_colors.png _build/sprites_pov/robot5_rgb_mask.png
.SECONDARY: _build/sprites_pov/robot6_rgb_colors.png _build/sprites_pov/robot6_rgb_mask.png
.SECONDARY: _build/sprites_pov/robot7_rgb_colors.png _build/sprites_pov/robot7_rgb_mask.png
.SECONDARY: _build/sprites_pov/robot8_rgb_colors.png _build/sprites_pov/robot8_rgb_mask.png
_build/sprites_pov/robot%_rgb_colors.png _build/sprites_pov/robot%_rgb_mask.png: datafile/sprites_pov/environment.pov \
             datafile/sprites_pov/robot%/obj.pov datafile/sprites_pov/robot%/obj.ini \
             _build/tools/assembler
	( cd _build && mkdir -p sprites_pov  )
	( cd _build/sprites_pov && mkdir -p robot$* && cd robot$* && $(POVRAY) ../../../datafile/sprites_pov/robot$*/obj.ini +L../../../datafile/sprites_pov/robot$* -D 2>> ../pov.log )
	( cd _build && ./tools/assembler hm sprites_pov/robot$*_rgb sprites_pov/robot$*/*.png )

DATFILES += _build/sprites.dat
.SECONDARY: _build/sprites.dat
_build/sprites.dat: _build/tools/sprites _build/tools/assembler \
             datafile/sprites_pov/box/obj.pov datafile/sprites_pov/box/obj.ini \
             datafile/sprites_pov/balls/obj.pov datafile/sprites_pov/balls/obj.ini \
             datafile/sprites_pov/snowball/obj.pov datafile/sprites_pov/snowball/obj.ini \
             _build/sprites_pov/robot0_rgb_colors.png _build/sprites_pov/robot0_rgb_mask.png \
             _build/sprites_pov/robot1_rgb_colors.png _build/sprites_pov/robot1_rgb_mask.png \

=== datafile/menu_pov/Makefile ===
TOPPLERDIR = ../../toppler

LEVELDIR = ../../levels/mission1
#LEVELDIR = ../../levels/mission2
#LEVELDIR = ../../levels/kallinen1
#LEVELDIR = ../../levels/ball1
#LEVELDIR = ../../levels/ball2
#LEVELDIR = ../../levels/ball3

LEVELS = `find $(LEVELDIR) -maxdepth 1 -type f`

OBJS = $(TOPPLERDIR)/decl.o

all: tower2inc
	( ln -s `pwd`/$(LEVELDIR) $(HOME)/.toppler/t && \
	./tower2inc "turm%i.inc" t/ $(LEVELS) && \
	rm $(HOME)/.toppler/t && \
	povray menu.ini )

tower2inc: tower2inc.cc
	g++ tower2inc.cc -I$(TOPPLERDIR) -I/usr/include/SDL $(OBJS) -lSDL -lz -o tower2inc

clean:
	rm -f tower2inc turm*.inc menu_rgb.png

## toppler 1.1.4-1maemo1

=== debian/changelog ===
toppler (1.1.4-1maemo1) fremantle; urgency=low

  * Made changes for the N900

 -- Janne Makinen <janne.makinen@surffi.fi>  Fri,  1 Jan 2010 19:05:04 +0000

toppler (1.1.4-1maemo0) unstable; urgency=low

  * Made changes for Maemo fremantle

 -- Bill Allombert <ballombe@debian.org>  Tue, 29 Dec 2009 00:06:09 +0000

toppler (1.1.4-1) unstable; urgency=low

  * New upstream release
  * debian/control:
    + Bump Standard-Version to 3.8.3.
    + Move Homepage outside the description and to the source section.
  * debian/copyright:
    + Add full copyright notices.

 -- Bill Allombert <ballombe@debian.org>  Sat, 24 Oct 2009 11:14:09 +0200

toppler (1.1.3-1) unstable; urgency=low

  * New upstream release
    - include translations for Basque, Czech and Romanian. Closes: #379236.
  * This release include a nicer 32x32 icon:
    - debian/rules: do not install toppler18x18.xpm
    - debian/toppler18x18.xpm: removed.
  * debian/menu: update menu section.
  * debian/rules: fix clean rule.
  * po/fr.po: update translation. Closes: #418682.
  * Fix Categories in toppler .desktop file.
  * config.sub/config.guess: add 'exec'. 
  * Reinstate system-wide highscores (only for new installations).
    - debian/rules: install toppler sgid 'games' again.
    - README.Debian: document the change.
    - preinst install: create /var/games/toppler/toppler.hsc.

 -- Bill Allombert <ballombe@debian.org>  Thu, 20 Sep 2007 08:37:02 +0200

toppler (1.1.2a-3) unstable; urgency=low

  * Fix upstream testing left-over that cause toppler to look for translation
    in /usr/share/locale rather than in current directory. Thanks Ronny
    Standtke. Closes: #366154
  * debian/control: Bump Standards-Version to 3.7.2.

 -- Bill Allombert <ballombe@debian.org>  Fri,  5 May 2006 23:06:17 +0200

toppler (1.1.2a-2) unstable; urgency=low

  * Fix toppler path in .desktop file. Thanks Sebastien Montagne.
    Closes: #356091 
  * Fix inaccurate comments in debian/rules.

 -- Bill Allombert <ballombe@debian.org>  Mon, 20 Mar 2006 11:45:10 +0100

toppler (1.1.2a-1) unstable; urgency=low

  * New upstream release
    - This release include the Swedish translation by Daniel Nylander.
      and the glyph for "å". Closes: #345179. 
    - This release include a .desktop file.
  * Improve upstream .desktop file using advice from Ronny Standtke.
  * debian/control: Bump Standards-Version to 3.6.2.
                  + Remove Ben Bell from Uploaders.
  * debian/watch: switch to use the qa.debian.org redirector.
  * debian/postrm: clean up.
  * Switch to debhelper v4.
 
 -- Bill Allombert <ballombe@debian.org>  Tue, 28 Feb 2006 14:35:11 +0100

toppler (1.1.1-1) unstable; urgency=low

  * New upstream release. Closes: #286354
  * Install locales in /usr/share/locale, not /usr/share/games/locale.
    Closes: #287510. Thanks Bartosz Fenski.
  * Uncapitalize the synopsis.

 -- Bill Allombert <ballombe@debian.org>  Mon, 20 Dec 2004 15:28:28 +0100

toppler (1.0.6-1) unstable; urgency=low

  * New upstream release

 -- Bill Allombert <ballombe@debian.org>  Sun,  8 Feb 2004 12:04:34 +0100

toppler (1.0.5-1) unstable; urgency=low

  * New upstream release
  * Use Homepage instead of Web page in description.
  * Update debian/watch to new format.

 -- Bill Allombert <ballombe@debian.org>  Sun, 18 Jan 2004 16:41:17 +0100

toppler (1.0.3-1) unstable; urgency=low

  * New upstream release
  * Encode this file in UTF-8. 
  * Bump standard version to 3.6.1.0.
  * Use config.sub/.guess from autotools-dev.
  * Use configure --build/--host instead of config.guess.

 -- Bill Allombert <ballombe@debian.org>  Sun, 12 Oct 2003 22:35:29 +0200

toppler (1.0.2-1) unstable; urgency=low

  * New upstream release
  * sound.cc patch has been merged upstream, thanks Andreas.
  * Bump standard version to 3.5.10.0.
  * Remove conflict with old suidmanager.
  * Rescale menu icon to 18x18.
  * s/Nebulous/Nebulus/ in menu longtitle.

 -- Bill Allombert <ballombe@debian.org>  Wed, 11 Jun 2003 18:00:30 +0200

toppler (1.0.1-1) unstable; urgency=low

  * New upstream release
  * Apply patch from Dylan Thurston to fix segfault when when firing torpedoes
    with sound off. Closes: #184907. Thanks!
  * Original name was Nebulus not Nebulous. Thanks Zdik Kudrle.

 -- Bill Allombert <ballombe@debian.org>  Wed, 16 Apr 2003 18:10:34 +0200

toppler (1.0.0-1) unstable; urgency=low

  * New upstream release. Closes: #184101

 -- Bill Allombert <ballombe@debian.org>  Sun,  9 Mar 2003 20:43:32 +0100

toppler (0.99.1-1) unstable; urgency=low

  * New upstream release. Closes: #174460
  * This version use login as default highscore name. Closes: #177317
    (The full name would be too long to fit on the screen)
  * debian/watch: use osdn mirror else I cannot catch up with Andreas :)
  * Set localstatedir to /var/games. (Not used but cleaner.)
  * Icon and manpage has been merged upstream (thanks Andreas).
  * Implement DEB_BUILD_OPTIONS nostrip and noopt as per 3.5.7.
  * Remove debian/postinst.disable files.
  * Remove 'A' and '.' from short description.
  * Add URL to long description.

 -- Bill Allombert <ballombe@debian.org>  Mon, 24 Feb 2003 16:51:27 +0100

toppler (0.97.2-1) unstable; urgency=low

  * New upstream release.
  * Really change the debian/watch file.
  * Reformat description to 76 characters. Closes: #164879
  * Debian fixes have been merged upstream (thanks Andreas).
  * Fix manpage again.
  * Bump version in main.cc.
  * Add an icon to the menu.

 -- Bill Allombert <ballombe@debian.org>  Wed,  6 Nov 2002 10:36:40 +0100

toppler (0.97.1-1) unstable; urgency=low

  * New upstream release with much improoved level editor.
  * Use upstream AUTHORS file.
  * Remove autokludges (thanks Andreas Röver).
  * Make `debian/rules install' really install.
  * Fix debian/watch file to accomodate SourceForge redirection.
  * Fix typo in README.Debian.
  * Build-Depends on zlib1g-dev.
  * Bump standard version to 3.5.7



=== debian/control ===
Source: toppler
Section: user/games
Priority: optional
Maintainer: Janne Mäkinen <janne.makinen@surffi.fi>
Build-Depends: debhelper (>= 5.0.0), libsdl1.2-dev (>= 1.2.2-3.1), libsdl-mixer1.2-dev (>= 1.2.0-1.1), zlib1g-dev, autotools-dev
Standards-Version: 3.8.3

Package: toppler
Architecture: any
Depends: ${shlibs:Depends}
Description: clone of the "Nebulus" game on old 8 and 16 bit machines
 Toppler is an almost complete reimplementation of the old game known as
 Tower Toppler or Nebulus.
 .
 The target of the game is to reach the target door of each of the  8 towers
 in currently 2 missions with this little green animal. This door is usually
 at the very top of the tower.
 .
 But finding the way by using elevators and walking through a maze of doors
 and platforms is not the only problem you have to solve. There are a bunch
 of other creatures living on the tower that will hinder you to reach your
 target by pushing you over the edge of the platforms.
XB-Maemo-Display-Name: Tower Toppler
XB-Maemo-Icon-26: iVBORw0KGgoAAAANSUhEUgAAABoAAAAaCAYAAACpSkzOAAAAAXNSR0IArs4c
 6QAAAAZiS0dEAP8A/wD/oL2nkwAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0
 SU1FB9gDDhIsOwJezJUAAAVrSURBVEjHlZZrbJNVGMd/b/u+7bp2G3Rc1q1j
 bXdB7saBYTqihMtIRFyC4YOED4SwxHgJYES+ePlgNGAwkIyExIhBg1E0g8U4
 NTPBDxgccouMwcaywW5h13Z0Xff2bd/jh56VjRUIJznpeU+fc/7n+T//5zkH
 dacq1J2qcO523uQpmuddT+3k2o2HNh54kr21aF3RcMbcjHl6hu73rPL4q7ZX
 TdxouNHxuEUl75fU+kp8m3zFPndRURGRaMTpecGTv3f/3qbG7xsT6dZYOg93
 1oq5okl36ll90b7dISNU/iiAyk8rZ689uPa5mDX2FibF3iwv3iwvESNSEVfj
 bzZcb1hWc6LGlRYoNdIAH5D3aE+GwkPbr3ZdvVz1ShWRpgh1u+qo21VHocVL
 YFnA09zb/G9oPLQ+3Vo1NYoDA4A8z9E/jjrOXD5zrC/UVzhpEjWiC8cj45w/
 eJ7hW8MkYkmWbvzcgtVrJTo3SiweSx+j6iPV1f1m/zo9rhcV6AW3AzmBUFlV
 mdYb6l3eGmzdc+f+naVBIxgIhoOB8Eg4xzKisKDHRpaYINdlMCcbsk0rROOM
 WnV88/wDa3esDV+qv9Q9FUhx7naK+Lw4mltr3+Pbs6b+av3pjsGONShgeAzM
 DDNp2Qlqi4XsmzZ+/OQ1xu5fYzTYCkCep5LOwUw++Oov9ErwLwr82fxZ84Zp
 1OlxHUywxCwLTl04dS6YGSzUPToogB3IAuYBPVBeLNhSGiMSPMevTeNcaLFi
 Ggne2HCd4nwr+141+EaItPSlxGAIw9Yd735mzDrmJBvwAG4gB3AmLWc7BaX5
 JjF9gN6BCDfvCm52wXBwFJURSvMFmTaIxWO+zYc3H9hxfEfuTDGoQD5JTxxA
 kRwDJAArJAQYAjQFhCkw4yK1XAAGYCrQE+opGYwMfr7Is6gBGJ4u71TKA4VT
 QEiCUAkXfPDRIOhipqo6Dfh4EO7MAQIQ88ZoHW79xbfP9+F0j6zAbBkTWxp9
 umDMDom4BVd2KStKB4AgAP7CAoxMlb7BLgxVQBYIlyAajS6IKbEt/vf8QXVa
 wuZLH4Xs5kNeKaBoVjLcz7J6+TWWFCaB5uQHaMeBYu0BayIZUy8QhYG+gZWM
 sFJRd6qCPEnZQklZBOgAuoBxCbJeJrMOmb9pKBcFSruMT4VCokwwURCHEmln
 kQe9DVyZpG4WMH/K6W2yFEUlKMAtOeeF8eUGiq6gOJKBNFeYUCxpdwCjybxj
 8QMVqHbVfgsHBbqmZ6UEoAFzJNC4PFmn/G8WUAxCF4hsqYolkpHJFpFseMCe
 sIdR6bUaV4xjnsUef7grXI5/ig4VIBvIlT0hY98ClMkkLpE96yGVJmSMW2B+
 ZP63Q7VDmywAhmHEmHqL3AeagLAEtsrguuUmk4mhAxcnM2VKmwBtQKO8oPzL
 1f7VP6Xk7Z3t7VdNtbN/uN9v5pgwAXRLOmyyFMXleO5DiTwk6ZyiUPeE28y1
 5bbZhO3Y6bdPd6QSdtvz2w557d7XXf+4sPRbHsi7D+iXmzRJ7l+UHpoPPNW6
 NOzn7ame15t3fvvq7au2rtx6hymRAKDmRI0rNB5a3xxp/qLtXlsJ92WFyJe/
 v8saMwtYA7QDd5OCqVhQ8V2uPbducq+8nLzB4zuP/z3tmni4AJTtL2vsCHas
 xylv3Bwp2Q4ZMz2ZbwWRgm77PXsrQEVJxdcna07+8Lh3hpp21iaDXyS96AaW
 AmNyfBEssyyH2g631QK00fbEV1N6IIeUbYbspVIQmvxu56nbDCC3y10vVKF1
 9Xa9lGDmy0lDI5AXOO2wOP7rTGXxk5uSbrL6SHV1443GM3pcn1nEM1ycfefs
 qpcXv3zpaTz6H1WjCsQSHPmTAAAAAElFTkSuQmCC

=== debian/rules ===
#!/usr/bin/make -f
# toppler rules file adapted from:
#  Sample debian/rules that uses debhelper.
#  GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
export DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
CXXFLAGS += -O0
export CXXFLAGS
endif

configure: configure-stamp
configure-stamp:
	./configure --prefix=/opt/maemo/usr --bindir=/opt/maemo/usr/bin --mandir=/opt/maemo/usr/share/man --localstatedir=/opt/maemo/var/games --build=$(DEB_BUILD_GNU_TYPE) --host=$(DEB_HOST_GNU_TYPE)
	dh_testdir
	touch configure-stamp

build: configure-stamp build-stamp
build-stamp:
	dh_testdir

	$(MAKE) pkgdatadir=/opt/maemo/usr/share/games/toppler

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-rm -f po/*.gmo
	if [ -f Makefile ]; then $(MAKE) distclean; fi
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/toppler.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/toppler pkgdatadir=/opt/maemo/usr/share/games/toppler
	rm -rf debian/toppler/opt/maemo/var/
	cp debian/toppler.png $(CURDIR)/debian/toppler/usr/share/icons/hicolor/scalable/apps/toppler.png
	cp debian/toppler.service $(CURDIR)/debian/toppler/usr/share/dbus-1/services/toppler.service
	cp debian/toppler.desktop $(CURDIR)/debian/toppler/usr/share/applications/hildon/toppler.desktop
	cp debian/toppler.sh $(CURDIR)/debian/toppler/usr/bin/toppler.sh
	dh_install
	#dh_installdocs
	#dh_installmenu
	#dh_installchangelogs ChangeLog
	rm -rf debian/toppler/usr/share/doc/toppler
	dh_link

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## toppler 1.1.4-1maemo2

=== debian/changelog ===
toppler (1.1.4-1maemo2) fremantle; urgency=low

  * Pause game when window loses focus, fix keyboard layout not always reverting back

 -- Janne Makinen <janne.makinen@surffi.fi>  Fri, 22 Jan 2010 14:55:43 +0000

## toppler 1.1.5

=== debian/changelog ===
toppler (1.1.5-2) unstable; urgency=low

  * Fix l10n: add patch fix-locale. Closes: #674133. Thanks Ronny Standtke.

 -- Bill Allombert <ballombe@debian.org>  Wed, 23 May 2012 15:05:08 +0200

toppler (1.1.5-1) unstable; urgency=low

  * New upstream release
    + Fix various issue related to the input system. Closes: #612127
    + Fix Czech po file name. Closes: #624134
  * Move to new source format 3.0 (quilt). Patches applied:
   - use-autotools-dev: Use autotools-dev version of config.sub/.guess.
   - toppler-manpage: use trigraph instead of 8bit chars.
   - toppler-desktop: fix toppler path.
   - snprintf-format: use "%s" explicitly in call to snprintf.
  * debian/rules:
    + Use hardenning compiler flags (toppler is sgid games).
  * debian/control:
    + Bump Standard-Version to 3.9.3.

 -- Bill Allombert <ballombe@debian.org>  Mon, 21 May 2012 23:19:15 +0200

toppler (1.1.4-2) unstable; urgency=high

  * Fix uninitialized variable that cause toppler to abort when selecting 
    the first mission. Closes: #610513
  * Fix segfault in ~configuration destructor when writing the configuration 
    file fail.  Closes: #608979.

 -- Bill Allombert <ballombe@debian.org>  Thu, 20 Jan 2011 23:58:33 +0100

=== debian/control ===
Source: toppler
Section: games
Priority: optional
Maintainer: Bill Allombert <ballombe@debian.org>
Build-Depends: debhelper (>= 5.0.0), libsdl1.2-dev (>= 1.2.2-3.1), libsdl-mixer1.2-dev (>= 1.2.0-1.1), zlib1g-dev, autotools-dev
Standards-Version: 3.9.3
Homepage: http://toppler.sourceforge.net/

Package: toppler
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: clone of the "Nebulus" game on old 8 and 16 bit machines
 Toppler is an almost complete reimplementation of the old game known as
 Tower Toppler or Nebulus.
 .
 The target of the game is to reach the target door of each of the  8 towers
 in currently 2 missions with this little green animal. This door is usually
 at the very top of the tower.
 .
 But finding the way by using elevators and walking through a maze of doors
 and platforms is not the only problem you have to solve. There are a bunch
 of other creatures living on the tower that will hinder you to reach your
 target by pushing you over the edge of the platforms.

=== debian/rules ===
#!/usr/bin/make -f
# toppler rules file adapted from:
#  Sample debian/rules that uses debhelper.
#  GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
export DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

CXXFLAGS=-g -fstack-protector --param=ssp-buffer-size=4 -Wformat -Werror=format-security
CPPFLAGS=-D_FORTIFY_SOURCE=2
LDFLAGS=-Wl,-z,relro
ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
CXXFLAGS += -O0
else
CXXFLAGS += -O2
endif
export CXXFLAGS CPPFLAGS LDFLAGS

configure: configure-stamp
configure-stamp:
	./configure --prefix=/usr --bindir=/usr/games --mandir=/usr/share/man --localstatedir=/var/games --build=$(DEB_BUILD_GNU_TYPE) --host=$(DEB_HOST_GNU_TYPE)
	dh_testdir
	touch configure-stamp

build: configure-stamp build-stamp
build-stamp:
	dh_testdir

	$(MAKE) pkgdatadir=/usr/share/games/toppler

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-rm -f po/*.gmo
	if [ -f Makefile ]; then $(MAKE) distclean; fi
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/toppler.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/toppler pkgdatadir=/usr/share/games/toppler
	rm -r debian/toppler/usr/share/doc/
	rm -r debian/toppler/var/
	dh_install
	dh_installdocs
	dh_installmenu
	dh_installchangelogs ChangeLog
	dh_link

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_strip
	dh_compress
	dh_fixperms
	chown -R root.games debian/toppler/usr/games/toppler
	chmod g+s debian/toppler/usr/games/toppler
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## toppler 1.1.6

=== debian/changelog ===
toppler (1.1.6-3) unstable; urgency=medium

  * debian/control
    - Bump Standard-Version to 4.1.5.
  * debian/rules
    - use dh_prep instead of dh_clean -k
  * Move to debhelper v9

 -- Bill Allombert <ballombe@debian.org>  Thu, 19 Jul 2018 14:53:11 +0200

toppler (1.1.6-2) unstable; urgency=low

  * patch toppler-desktop:
    + Fix pixmap path. Closes: #707728. Thanks again, Ronny Standtke.

 -- Bill Allombert <ballombe@debian.org>  Sat, 18 May 2013 15:01:25 +0200

toppler (1.1.6-1) unstable; urgency=low

  * New upstream release. Patches:
    - toppler-manpage removed: merged upstream
    - fix-locale updated
    - toppler-desktop updated
  * debian/control:
    + Bump Standard-Version to 3.9.4.

 -- Bill Allombert <ballombe@debian.org>  Mon, 06 May 2013 22:56:59 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: games
 Priority: optional
 Maintainer: Bill Allombert <ballombe@debian.org>
-Build-Depends: debhelper (>= 5.0.0), libsdl1.2-dev (>= 1.2.2-3.1), libsdl-mixer1.2-dev (>= 1.2.0-1.1), zlib1g-dev, autotools-dev
-Standards-Version: 3.9.3
+Build-Depends: debhelper (>= 9.0.0), libsdl1.2-dev (>= 1.2.2-3.1), libsdl-mixer1.2-dev (>= 1.2.0-1.1), zlib1g-dev, autotools-dev
+Standards-Version: 4.1.5
 Homepage: http://toppler.sourceforge.net/
 
 Package: toppler

=== debian/rules ===
--- 
+++ 
@@ -36,7 +36,7 @@
 clean:
 	dh_testdir
 	dh_testroot
-	rm -f build-stamp configure-stamp
+	rm -f build-stamp configure-stamp config.log
 
 	# Add here commands to clean up after the build process.
 	-rm -f po/*.gmo
@@ -46,7 +46,7 @@
 install: build
 	dh_testdir
 	dh_testroot
-	dh_clean -k
+	dh_prep
 	dh_installdirs
 
 	# Add here commands to install the package into debian/toppler.

=== debian/watch ===
# Site				Directory	Pattern		Version	Script
version=2
http://sf.net/toppler/toppler-(.*)\.tar\.gz debian uupdate

## toppler 1.3

=== debian/changelog ===
toppler (1.3-3) unstable; urgency=medium

  * new patch: fix-include: fix FTBFS with g++ 14. Closes: #1075582
  * debian/control:
    - Bump Standards-Version to 4.7.0.

 -- Bill Allombert <ballombe@debian.org>  Wed, 24 Jul 2024 21:22:34 +0200

toppler (1.3-2) unstable; urgency=medium

  * debian/control:
    - Bump Standards-Version to 4.6.2.
  * debian/rules:
    - copy back po~ files. Closes: #1047932. Thanks Lucas Nussbaum.
  * Fix cross-compilation: Closes: #1064240 (from Helmut Grohne)
    + Let dh_auto_build pass cross tools to make.
    + SDL2_image is used for build tools only.

 -- Bill Allombert <ballombe@debian.org>  Mon, 19 Feb 2024 18:31:27 +0100

toppler (1.3-1) unstable; urgency=medium

  * New upstream release.
    - Include data used to generate toppler.dat. Closes: #794198
    - All patches removed
    - Disable global hiscore file
  * debian/control
    - Bump Standards-Version to 4.6.0.
    - Build-Depends on debhelper-compat (= 13)
    - Build-Depends: move from libsdl1.2 to libbsdl2
    - Add Rules-Requires-Root: no
    - Update Homepage:
  * debian/rules: switch to dh. Closes: #999172
  * debian/compat: removed
  * debian/README.Debian: removed
  * debian/watch: removed
  * toppler.xpm:
    - Increase size. Closes: #794197. Thanks again, Ronny Standtke.

 -- Bill Allombert <ballombe@debian.org>  Sat, 12 Feb 2022 22:13:19 +0100

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,10 @@
 Section: games
 Priority: optional
 Maintainer: Bill Allombert <ballombe@debian.org>
-Build-Depends: debhelper (>= 9.0.0), libsdl1.2-dev (>= 1.2.2-3.1), libsdl-mixer1.2-dev (>= 1.2.0-1.1), zlib1g-dev, autotools-dev
-Standards-Version: 4.1.5
-Homepage: http://toppler.sourceforge.net/
+Build-Depends: debhelper-compat (= 13), libsdl2-dev, libsdl2-mixer-dev, libsdl2-image-dev:native,  zlib1g-dev, libpng-dev
+Rules-Requires-Root: no
+Standards-Version: 4.7.0
+Homepage: https://gitlab.com/roever/toppler/
 
 Package: toppler
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_clean:
	rm -rf _build locale toppler

override_dh_auto_build:
	dh_auto_build -- toppler DATADIR=/usr/share/games LOCALEDIR=/usr/share/locale

override_dh_auto_install:
	$(MAKE) install BINDIR=/usr/games  LOCALEDIR=/usr/share/locale MANDIR=/usr/share/man \
                        DATADIR=/usr/share/games DESTDIR=debian/toppler
	for i in src/po/*.po; do test -f $$i~ && mv $$i~ $$i; done
